Index: code/branches/core6/src/orxonox/controllers/AIController.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/AIController.h	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/AIController.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            AIController(BaseObject* creator);
+            AIController(Context* context);
             virtual ~AIController();
 
Index: code/branches/core6/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/ArtificialController.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/ArtificialController.cc	(revision 9629)
@@ -45,5 +45,5 @@
     SetConsoleCommand("ArtificialController", "setbotlevel",      &ArtificialController::setAllBotLevel);
 
-    ArtificialController::ArtificialController(BaseObject* creator) : FormationController(creator)
+    ArtificialController::ArtificialController(Context* context) : FormationController(context)
     {
         RegisterObject(ArtificialController);
Index: code/branches/core6/src/orxonox/controllers/ArtificialController.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/ArtificialController.h	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/ArtificialController.h	(revision 9629)
@@ -39,5 +39,5 @@
     {
         public:
-            ArtificialController(BaseObject* creator);
+            ArtificialController(Context* context);
             virtual ~ArtificialController();
 
Index: code/branches/core6/src/orxonox/controllers/Controller.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/Controller.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/Controller.cc	(revision 9629)
@@ -35,5 +35,5 @@
     CreateUnloadableFactory(Controller);
 
-    Controller::Controller(BaseObject* creator) : BaseObject(creator)
+    Controller::Controller(Context* context) : BaseObject(context)
     {
         RegisterObject(Controller);
Index: code/branches/core6/src/orxonox/controllers/Controller.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/Controller.h	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/Controller.h	(revision 9629)
@@ -42,5 +42,5 @@
 
         public:
-            Controller(BaseObject* creator);
+            Controller(Context* context);
             virtual ~Controller();
 
Index: code/branches/core6/src/orxonox/controllers/DroneController.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/DroneController.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/DroneController.cc	(revision 9629)
@@ -45,5 +45,5 @@
     const float DroneController::ACTION_INTERVAL = 1.0f;
 
-    DroneController::DroneController(BaseObject* creator) : ArtificialController(creator)
+    DroneController::DroneController(Context* context) : ArtificialController(context)
     {
         RegisterObject(DroneController);
Index: code/branches/core6/src/orxonox/controllers/DroneController.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/DroneController.h	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/DroneController.h	(revision 9629)
@@ -50,5 +50,5 @@
     {
         public:
-            DroneController(BaseObject* creator);
+            DroneController(Context* context);
             virtual ~DroneController();
 
Index: code/branches/core6/src/orxonox/controllers/FormationController.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/FormationController.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/FormationController.cc	(revision 9629)
@@ -69,5 +69,5 @@
     static const float ROTATEFACTOR_FREE = 0.8f;
 
-    FormationController::FormationController(BaseObject* creator) : Controller(creator)
+    FormationController::FormationController(Context* context) : Controller(context)
     {
         RegisterObject(FormationController);
Index: code/branches/core6/src/orxonox/controllers/FormationController.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/FormationController.h	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/FormationController.h	(revision 9629)
@@ -46,5 +46,5 @@
 
       public:
-      FormationController(BaseObject* creator);
+      FormationController(Context* context);
 
       virtual ~FormationController();
Index: code/branches/core6/src/orxonox/controllers/HumanController.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/HumanController.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/HumanController.cc	(revision 9629)
@@ -71,5 +71,5 @@
     /*static*/ const float HumanController::BOOSTING_TIME = 0.1f;
 
-    HumanController::HumanController(BaseObject* creator) : FormationController(creator)
+    HumanController::HumanController(Context* context) : FormationController(context)
     {
         RegisterObject(HumanController);
Index: code/branches/core6/src/orxonox/controllers/HumanController.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/HumanController.h	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/HumanController.h	(revision 9629)
@@ -44,5 +44,5 @@
     { // tolua_export
         public:
-            HumanController(BaseObject* creator);
+            HumanController(Context* context);
             virtual ~HumanController();
 
Index: code/branches/core6/src/orxonox/controllers/NewHumanController.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/NewHumanController.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/NewHumanController.cc	(revision 9629)
@@ -60,6 +60,6 @@
     NewHumanController* NewHumanController::localController_s = 0;
 
-    NewHumanController::NewHumanController(BaseObject* creator)
-        : HumanController(creator)
+    NewHumanController::NewHumanController(Context* context)
+        : HumanController(context)
         , crossHairOverlay_(NULL)
         , centerOverlay_(NULL)
@@ -98,5 +98,5 @@
         if (GameMode::showsGraphics())
         {
-            crossHairOverlay_ = new OrxonoxOverlay(this);
+            crossHairOverlay_ = new OrxonoxOverlay(this->getContext());
             crossHairOverlay_->setBackgroundMaterial("Orxonox/Crosshair3");
             crossHairOverlay_->setSize(Vector2(overlaySize_, overlaySize_));
@@ -104,5 +104,5 @@
             //crossHairOverlay_->setAspectCorrection(true); not working
 
-            centerOverlay_ = new OrxonoxOverlay(this);
+            centerOverlay_ = new OrxonoxOverlay(this->getContext());
             centerOverlay_->setBackgroundMaterial("Orxonox/CenterOverlay");
             centerOverlay_->setSize(Vector2(overlaySize_ * 2.5f, overlaySize_ * 2.5f));
@@ -112,5 +112,5 @@
             if (showDamageOverlay_)
             {
-                damageOverlayTop_ = new OrxonoxOverlay(this);
+                damageOverlayTop_ = new OrxonoxOverlay(this->getContext());
                 damageOverlayTop_->setBackgroundMaterial("Orxonox/DamageOverlayTop");
                 damageOverlayTop_->setSize(Vector2(overlaySize_ * 2.5f, overlaySize_ * 2.5f));
@@ -118,5 +118,5 @@
                 damageOverlayTop_->hide();
 
-                damageOverlayRight_ = new OrxonoxOverlay(this);
+                damageOverlayRight_ = new OrxonoxOverlay(this->getContext());
                 damageOverlayRight_->setBackgroundMaterial("Orxonox/DamageOverlayRight");
                 damageOverlayRight_->setSize(Vector2(overlaySize_ * 2.5f, overlaySize_ * 2.5f));
@@ -124,5 +124,5 @@
                 damageOverlayRight_->hide();
 
-                damageOverlayBottom_ = new OrxonoxOverlay(this);
+                damageOverlayBottom_ = new OrxonoxOverlay(this->getContext());
                 damageOverlayBottom_->setBackgroundMaterial("Orxonox/DamageOverlayBottom");
                 damageOverlayBottom_->setSize(Vector2(overlaySize_ * 2.5f, overlaySize_ * 2.5f));
@@ -130,5 +130,5 @@
                 damageOverlayBottom_->hide();
 
-                damageOverlayLeft_ = new OrxonoxOverlay(this);
+                damageOverlayLeft_ = new OrxonoxOverlay(this->getContext());
                 damageOverlayLeft_->setBackgroundMaterial("Orxonox/DamageOverlayLeft");
                 damageOverlayLeft_->setSize(Vector2(overlaySize_ * 2.5f, overlaySize_ * 2.5f));
@@ -139,5 +139,5 @@
             if (showArrows_)
             {
-                arrowsOverlay1_ = new OrxonoxOverlay(this);
+                arrowsOverlay1_ = new OrxonoxOverlay(this->getContext());
                 arrowsOverlay1_->setBackgroundMaterial("Orxonox/DirectionArrows1");
                 arrowsOverlay1_->setSize(Vector2(0.02727f, 0.36f * arrowsSize_));
@@ -146,5 +146,5 @@
                 arrowsOverlay1_->hide();
 
-                arrowsOverlay2_ = new OrxonoxOverlay(this);
+                arrowsOverlay2_ = new OrxonoxOverlay(this->getContext());
                 arrowsOverlay2_->setBackgroundMaterial("Orxonox/DirectionArrows2");
                 arrowsOverlay2_->setSize(Vector2(0.02727f, 0.59f * arrowsSize_));
@@ -153,5 +153,5 @@
                 arrowsOverlay2_->hide();
 
-                arrowsOverlay3_ = new OrxonoxOverlay(this);
+                arrowsOverlay3_ = new OrxonoxOverlay(this->getContext());
                 arrowsOverlay3_->setBackgroundMaterial("Orxonox/DirectionArrows3");
                 arrowsOverlay3_->setSize(Vector2(0.02727f, 0.77f * arrowsSize_));
@@ -160,5 +160,5 @@
                 arrowsOverlay3_->hide();
 
-                arrowsOverlay4_ = new OrxonoxOverlay(this);
+                arrowsOverlay4_ = new OrxonoxOverlay(this->getContext());
                 arrowsOverlay4_->setBackgroundMaterial("Orxonox/DirectionArrows4");
                 arrowsOverlay4_->setSize(Vector2(0.02727f, arrowsSize_));
Index: code/branches/core6/src/orxonox/controllers/NewHumanController.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/NewHumanController.h	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/NewHumanController.h	(revision 9629)
@@ -42,5 +42,5 @@
     {
         public:
-            NewHumanController(BaseObject* creator);
+            NewHumanController(Context* context);
             virtual ~NewHumanController();
 
Index: code/branches/core6/src/orxonox/controllers/ScriptController.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/ScriptController.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/ScriptController.cc	(revision 9629)
@@ -34,5 +34,5 @@
     CreateFactory(ScriptController);
 
-    ScriptController::ScriptController(BaseObject* creator) : ArtificialController(creator)
+    ScriptController::ScriptController(Context* context) : ArtificialController(context)
     {
         RegisterObject(ScriptController);
Index: code/branches/core6/src/orxonox/controllers/ScriptController.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/ScriptController.h	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/ScriptController.h	(revision 9629)
@@ -38,5 +38,5 @@
     {
         public:
-            ScriptController(BaseObject* creator);
+            ScriptController(Context* context);
             virtual ~ScriptController() { }
 
Index: code/branches/core6/src/orxonox/controllers/WaypointController.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/WaypointController.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/WaypointController.cc	(revision 9629)
@@ -36,5 +36,5 @@
     CreateFactory(WaypointController);
 
-    WaypointController::WaypointController(BaseObject* creator) : ArtificialController(creator)
+    WaypointController::WaypointController(Context* context) : ArtificialController(context)
     {
         RegisterObject(WaypointController);
Index: code/branches/core6/src/orxonox/controllers/WaypointController.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/WaypointController.h	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/WaypointController.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            WaypointController(BaseObject* creator);
+            WaypointController(Context* context);
             virtual ~WaypointController();
 
Index: code/branches/core6/src/orxonox/controllers/WaypointPatrolController.cc
===================================================================
--- code/branches/core6/src/orxonox/controllers/WaypointPatrolController.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/WaypointPatrolController.cc	(revision 9629)
@@ -38,5 +38,5 @@
     CreateFactory(WaypointPatrolController);
 
-    WaypointPatrolController::WaypointPatrolController(BaseObject* creator) : WaypointController(creator)
+    WaypointPatrolController::WaypointPatrolController(Context* context) : WaypointController(context)
     {
         RegisterObject(WaypointPatrolController);
Index: code/branches/core6/src/orxonox/controllers/WaypointPatrolController.h
===================================================================
--- code/branches/core6/src/orxonox/controllers/WaypointPatrolController.h	(revision 9628)
+++ code/branches/core6/src/orxonox/controllers/WaypointPatrolController.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            WaypointPatrolController(BaseObject* creator);
+            WaypointPatrolController(Context* context);
             virtual ~WaypointPatrolController() {}
 
Index: code/branches/core6/src/orxonox/gametypes/Asteroids.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Asteroids.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/Asteroids.cc	(revision 9629)
@@ -37,5 +37,5 @@
     CreateUnloadableFactory(Asteroids);
 
-    Asteroids::Asteroids(BaseObject* creator) : Gametype(creator)
+    Asteroids::Asteroids(Context* context) : Gametype(context)
     {
         RegisterObject(Asteroids);
Index: code/branches/core6/src/orxonox/gametypes/Asteroids.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Asteroids.h	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/Asteroids.h	(revision 9629)
@@ -38,5 +38,5 @@
     {
         public:
-            Asteroids(BaseObject* creator);
+            Asteroids(Context* context);
             virtual ~Asteroids() {}
 
Index: code/branches/core6/src/orxonox/gametypes/Deathmatch.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Deathmatch.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/Deathmatch.cc	(revision 9629)
@@ -38,5 +38,5 @@
     CreateUnloadableFactory(Deathmatch);
 
-    Deathmatch::Deathmatch(BaseObject* creator) : Gametype(creator)
+    Deathmatch::Deathmatch(Context* context) : Gametype(context)
     {
         RegisterObject(Deathmatch);
Index: code/branches/core6/src/orxonox/gametypes/Deathmatch.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Deathmatch.h	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/Deathmatch.h	(revision 9629)
@@ -38,5 +38,5 @@
     {
         public:
-            Deathmatch(BaseObject* creator);
+            Deathmatch(Context* context);
             virtual ~Deathmatch() {}
 
Index: code/branches/core6/src/orxonox/gametypes/Dynamicmatch.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Dynamicmatch.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/Dynamicmatch.cc	(revision 9629)
@@ -64,5 +64,5 @@
     CreateUnloadableFactory(Dynamicmatch);
 
-    Dynamicmatch::Dynamicmatch(BaseObject* creator) : Gametype(creator)
+    Dynamicmatch::Dynamicmatch(Context* context) : Gametype(context)
     {
         RegisterObject(Dynamicmatch);
Index: code/branches/core6/src/orxonox/gametypes/Dynamicmatch.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Dynamicmatch.h	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/Dynamicmatch.h	(revision 9629)
@@ -44,5 +44,5 @@
     {
         public:
-            Dynamicmatch(BaseObject* creator);
+            Dynamicmatch(Context* context);
             virtual ~Dynamicmatch() {}
 
Index: code/branches/core6/src/orxonox/gametypes/Gametype.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Gametype.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/Gametype.cc	(revision 9629)
@@ -49,9 +49,9 @@
     CreateUnloadableFactory(Gametype);
 
-    Gametype::Gametype(BaseObject* creator) : BaseObject(creator)
+    Gametype::Gametype(Context* context) : BaseObject(context)
     {
         RegisterObject(Gametype);
 
-        this->gtinfo_ = new GametypeInfo(creator);
+        this->gtinfo_ = new GametypeInfo(context);
 
         this->setGametype(SmartPtr<Gametype>(this, false));
@@ -74,5 +74,5 @@
         if (GameMode::showsGraphics() && !this->scoreboardTemplate_.empty())
         {
-            this->scoreboard_ = new OverlayGroup(this);
+            this->scoreboard_ = new OverlayGroup(context);
             this->scoreboard_->addTemplate(this->scoreboardTemplate_);
             this->scoreboard_->setGametype(this);
@@ -160,5 +160,5 @@
                 ControllableEntity* oldentity = it->first->getControllableEntity();
 
-                ControllableEntity* entity = this->defaultControllableEntity_.fabricate(oldentity);
+                ControllableEntity* entity = this->defaultControllableEntity_.fabricate(oldentity->getContext());
                 if (oldentity->getCamera())
                 {
@@ -283,5 +283,5 @@
                     this->gtinfo_->pawnKilled(victim->getPlayer());
 
-                ControllableEntity* entity = this->defaultControllableEntity_.fabricate(victim->getCreator());
+                ControllableEntity* entity = this->defaultControllableEntity_.fabricate(victim->getContext());
                 if (victim->getCamera())
                 {
@@ -458,5 +458,5 @@
         {
             // force spawn at spawnpoint with default pawn
-            ControllableEntity* entity = this->defaultControllableEntity_.fabricate(spawn);
+            ControllableEntity* entity = this->defaultControllableEntity_.fabricate(spawn->getContext());
             spawn->spawn(entity);
             player->startControl(entity);
@@ -472,5 +472,5 @@
     {
         for (unsigned int i = 0; i < amount; ++i)
-            this->botclass_.fabricate(this);
+            this->botclass_.fabricate(this->getContext());
     }
 
Index: code/branches/core6/src/orxonox/gametypes/Gametype.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Gametype.h	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/Gametype.h	(revision 9629)
@@ -67,5 +67,5 @@
 
         public:
-            Gametype(BaseObject* creator);
+            Gametype(Context* context);
             virtual ~Gametype();
 
Index: code/branches/core6/src/orxonox/gametypes/LastManStanding.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/LastManStanding.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/LastManStanding.cc	(revision 9629)
@@ -40,5 +40,5 @@
     CreateUnloadableFactory(LastManStanding);
 
-    LastManStanding::LastManStanding(BaseObject* creator) : Deathmatch(creator)
+    LastManStanding::LastManStanding(Context* context) : Deathmatch(context)
     {
         RegisterObject(LastManStanding);
Index: code/branches/core6/src/orxonox/gametypes/LastManStanding.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/LastManStanding.h	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/LastManStanding.h	(revision 9629)
@@ -65,5 +65,5 @@
 
         public:
-            LastManStanding(BaseObject* creator); //!< Default Constructor.
+            LastManStanding(Context* context); //!< Default Constructor.
             virtual ~LastManStanding() {} //!< Default Destructor.
             void setConfigValues(); //!< Makes values configurable.
Index: code/branches/core6/src/orxonox/gametypes/LastTeamStanding.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/LastTeamStanding.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/LastTeamStanding.cc	(revision 9629)
@@ -40,5 +40,5 @@
     CreateUnloadableFactory(LastTeamStanding);
 
-    LastTeamStanding::LastTeamStanding(BaseObject* creator) : TeamDeathmatch(creator)
+    LastTeamStanding::LastTeamStanding(Context* context) : TeamDeathmatch(context)
     {
         RegisterObject(LastTeamStanding);
Index: code/branches/core6/src/orxonox/gametypes/LastTeamStanding.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/LastTeamStanding.h	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/LastTeamStanding.h	(revision 9629)
@@ -71,5 +71,5 @@
 
         public:
-            LastTeamStanding(BaseObject* creator); //!< Default Constructor.
+            LastTeamStanding(Context* context); //!< Default Constructor.
             virtual ~LastTeamStanding(); //!< Default Destructor.
 
Index: code/branches/core6/src/orxonox/gametypes/Mission.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Mission.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/Mission.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateUnloadableFactory(Mission);
 
-    Mission::Mission(BaseObject* creator) : TeamGametype(creator)
+    Mission::Mission(Context* context) : TeamGametype(context)
     {
         RegisterObject(Mission);
Index: code/branches/core6/src/orxonox/gametypes/Mission.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/Mission.h	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/Mission.h	(revision 9629)
@@ -39,5 +39,5 @@
     {
         public:
-            Mission(BaseObject* creator);
+            Mission(Context* context);
             virtual ~Mission() {}
 
Index: code/branches/core6/src/orxonox/gametypes/TeamBaseMatch.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 9629)
@@ -38,5 +38,5 @@
     CreateUnloadableFactory(TeamBaseMatch);
 
-    TeamBaseMatch::TeamBaseMatch(BaseObject* creator) : TeamDeathmatch(creator)
+    TeamBaseMatch::TeamBaseMatch(Context* context) : TeamDeathmatch(context)
     {
         RegisterObject(TeamBaseMatch);
Index: code/branches/core6/src/orxonox/gametypes/TeamBaseMatch.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/TeamBaseMatch.h	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/TeamBaseMatch.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            TeamBaseMatch(BaseObject* creator);
+            TeamBaseMatch(Context* context);
             virtual ~TeamBaseMatch() {}
 
Index: code/branches/core6/src/orxonox/gametypes/TeamDeathmatch.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/TeamDeathmatch.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/TeamDeathmatch.cc	(revision 9629)
@@ -38,5 +38,5 @@
     CreateUnloadableFactory(TeamDeathmatch);
 
-    TeamDeathmatch::TeamDeathmatch(BaseObject* creator) : TeamGametype(creator)
+    TeamDeathmatch::TeamDeathmatch(Context* context) : TeamGametype(context)
     {
         RegisterObject(TeamDeathmatch);
Index: code/branches/core6/src/orxonox/gametypes/TeamDeathmatch.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/TeamDeathmatch.h	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/TeamDeathmatch.h	(revision 9629)
@@ -38,5 +38,5 @@
     {
         public:
-            TeamDeathmatch(BaseObject* creator);
+            TeamDeathmatch(Context* context);
             virtual ~TeamDeathmatch() {}
 
Index: code/branches/core6/src/orxonox/gametypes/TeamGametype.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/TeamGametype.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/TeamGametype.cc	(revision 9629)
@@ -42,5 +42,5 @@
     CreateUnloadableFactory(TeamGametype);
 
-    TeamGametype::TeamGametype(BaseObject* creator) : Gametype(creator)
+    TeamGametype::TeamGametype(Context* context) : Gametype(context)
     {
         RegisterObject(TeamGametype);
Index: code/branches/core6/src/orxonox/gametypes/TeamGametype.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/TeamGametype.h	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/TeamGametype.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            TeamGametype(BaseObject* creator);
+            TeamGametype(Context* context);
             virtual ~TeamGametype() {}
 
Index: code/branches/core6/src/orxonox/gametypes/UnderAttack.cc
===================================================================
--- code/branches/core6/src/orxonox/gametypes/UnderAttack.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/UnderAttack.cc	(revision 9629)
@@ -40,5 +40,5 @@
     CreateUnloadableFactory(UnderAttack);
 
-    UnderAttack::UnderAttack(BaseObject* creator) : TeamDeathmatch(creator)
+    UnderAttack::UnderAttack(Context* context) : TeamDeathmatch(context)
     {
         RegisterObject(UnderAttack);
Index: code/branches/core6/src/orxonox/gametypes/UnderAttack.h
===================================================================
--- code/branches/core6/src/orxonox/gametypes/UnderAttack.h	(revision 9628)
+++ code/branches/core6/src/orxonox/gametypes/UnderAttack.h	(revision 9629)
@@ -39,5 +39,5 @@
     {
         public:
-            UnderAttack(BaseObject* creator);
+            UnderAttack(Context* context);
             virtual ~UnderAttack() {}
 
Index: code/branches/core6/src/orxonox/graphics/AnimatedModel.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/AnimatedModel.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/AnimatedModel.cc	(revision 9629)
@@ -41,5 +41,5 @@
     CreateFactory(AnimatedModel);
 
-    AnimatedModel::AnimatedModel(BaseObject* creator) : Model(creator)
+    AnimatedModel::AnimatedModel(Context* context) : Model(context)
     {
         RegisterObject(AnimatedModel);
Index: code/branches/core6/src/orxonox/graphics/AnimatedModel.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/AnimatedModel.h	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/AnimatedModel.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            AnimatedModel(BaseObject* creator);
+            AnimatedModel(Context* context);
             virtual ~AnimatedModel();
 
Index: code/branches/core6/src/orxonox/graphics/Backlight.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/Backlight.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/Backlight.cc	(revision 9629)
@@ -47,5 +47,5 @@
     CreateFactory(Backlight);
 
-    Backlight::Backlight(BaseObject* creator) : FadingBillboard(creator)
+    Backlight::Backlight(Context* context) : FadingBillboard(context)
     {
         RegisterObject(Backlight);
Index: code/branches/core6/src/orxonox/graphics/Backlight.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/Backlight.h	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/Backlight.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            Backlight(BaseObject* creator);
+            Backlight(Context* context);
             virtual ~Backlight();
 
Index: code/branches/core6/src/orxonox/graphics/Billboard.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/Billboard.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/Billboard.cc	(revision 9629)
@@ -40,5 +40,5 @@
     CreateFactory(Billboard);
 
-    Billboard::Billboard(BaseObject* creator) : StaticEntity(creator)
+    Billboard::Billboard(Context* context) : StaticEntity(context)
     {
         RegisterObject(Billboard);
Index: code/branches/core6/src/orxonox/graphics/Billboard.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/Billboard.h	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/Billboard.h	(revision 9629)
@@ -44,5 +44,5 @@
     {
         public:
-            Billboard(BaseObject* creator);
+            Billboard(Context* context);
             virtual ~Billboard();
 
Index: code/branches/core6/src/orxonox/graphics/BlinkingBillboard.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/BlinkingBillboard.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/BlinkingBillboard.cc	(revision 9629)
@@ -37,5 +37,5 @@
     CreateFactory(BlinkingBillboard);
 
-    BlinkingBillboard::BlinkingBillboard(BaseObject* creator) : Billboard(creator)
+    BlinkingBillboard::BlinkingBillboard(Context* context) : Billboard(context)
     {
         RegisterObject(BlinkingBillboard);
Index: code/branches/core6/src/orxonox/graphics/BlinkingBillboard.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/BlinkingBillboard.h	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/BlinkingBillboard.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            BlinkingBillboard(BaseObject* creator);
+            BlinkingBillboard(Context* context);
             virtual ~BlinkingBillboard();
 
Index: code/branches/core6/src/orxonox/graphics/Camera.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/Camera.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/Camera.cc	(revision 9629)
@@ -48,5 +48,5 @@
     CreateFactory(Camera);
 
-    Camera::Camera(BaseObject* creator) : StaticEntity(creator)
+    Camera::Camera(Context* context) : StaticEntity(context)
     {
         RegisterObject(Camera);
